Subject: Re: [ANNOUNCEMENT] OpenSSH-2.1.1p4 for Cygwin 1.1.3
From: James Dumser <[email-masked]>
To: cygwin <[email-masked]>
Date: Thu, 03 Aug 2000 08:42:15 -0500

On Wed, 02 Aug 2000 22:17:37 +0200, Corinna Vinschen wrote:
> Don't use / for $HOME. I have reported that earlier. For now,
> simply call ssh-keygen by hand without parameters.
> I will change ssh-config to deal with that.
>
   [ my previous text... ] 
>>   bash-2.04$ ssh-keygen -f "${HOME}/.ssh/identity"
>>   Generating RSA keys:  ......................ooooooO.....ooooooO
>>   Key generation complete.
>>   Enter passphrase (empty for no passphrase):
>>   Enter same passphrase again:
>>   Saving the key failed: //.ssh/identity: No such host or network
>>   path.
>>   bash-2.04$ ssh-keygen -f "/.ssh/identity"
>>   Generating RSA keys:
>> .......................................ooooooO........ooooooO
>>   Key generation complete.
>>   Enter passphrase (empty for no passphrase):
>>   Enter same passphrase again:
>>   Saving the key failed: /.ssh/identity: No such file or directory.

Okay, I found the message where you suggest not setting $HOME to /
(although you said /. might be okay). But there are 2 commands above,
	ssh-keygen -f "${HOME}/.ssh/identity"
	ssh-keygen -f "/.ssh/identity"
and both fail (granted with different errors). The second command has
nothing to do with $HOME=/; I verified by changing my $HOME, both in the
environment and in /etc/passwd, and I received the same response from
ssh-keygen: No such file or directory.

I took this one step farther by running the 1st command with $HOME set
to a non-/ path. This worked so it looks like the problem is with
ssh-keygen itself.

> I have found an error in sshd in conjunction with using via inetd.
> You might have read the corresponding thread.
> 
> Your specific problem with the missing host key file isn't related
> but... Is it possible that your /usr/local/etc directory is under
> a user mount point instead of a system mount point.

No, I don't think so...
bash-2.04$ mount
Device              Directory           Type         Flags
C:\cygwin\bin       /usr/bin            system       binmode
C:\cygwin\lib       /usr/lib            system       binmode
C:\cygwin           /                   system       binmode
C:                  /c                  system       binmode

> I will first upload the patched version now, at least tomorrow.
> Feel free to contact me again then.

I'll try your patched version, although I think I'll be switching to the
SRVANY procedure once I am able to locate that.

-- 
James Dumser  [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]